# CbcModel.hpp File Reference

`#include <string>`
`#include <vector>`
`#include "CoinMessageHandler.hpp"`
`#include "OsiSolverInterface.hpp"`
`#include "OsiBranchingObject.hpp"`
`#include "OsiCuts.hpp"`
`#include "CoinWarmStartBasis.hpp"`
`#include "CbcCompareBase.hpp"`
`#include "CbcCountRowCut.hpp"`
`#include "CbcMessage.hpp"`
`#include "CbcEventHandler.hpp"`
`#include "ClpDualRowPivot.hpp"`
Include dependency graph for CbcModel.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CbcModel
| Simple Branch and bound class. More...
## Functions
void | getIntegerInformation (const OsiObject *object, double &originalLower, double &originalUpper)
| So we can use osiObject or CbcObject during transition.
int | CbcMain (int argc, const char *argv[], OsiClpSolverInterface &solver, CbcModel **babSolver)
int | CbcMain (int argc, const char *argv[], CbcModel &babSolver)
int | callCbc (const char *input2, OsiClpSolverInterface &solver1)
int | callCbc (const char *input2)
int | callCbc (const std::string input2, OsiClpSolverInterface &solver1)
int | callCbc (const std::string input2)
void | CbcMain0 (CbcModel &babSolver)
int | CbcMain1 (int argc, const char *argv[], CbcModel &babSolver)
int | callCbc (const char *input2, CbcModel &babSolver)
int | callCbc (const std::string input2, CbcModel &babSolver)
int | callCbc1 (const char *input2, CbcModel &babSolver)
int | callCbc1 (const std::string input2, CbcModel &babSolver)
int | callCbc1 (const char *input2, CbcModel &babSolver, int(CbcModel *currentSolver, int whereFrom))
int | callCbc1 (const std::string input2, CbcModel &babSolver, int(CbcModel *currentSolver, int whereFrom))
int | CbcMain1 (int argc, const char *argv[], CbcModel &babSolver, int(CbcModel *currentSolver, int whereFrom))
void | setCutAndHeuristicOptions (CbcModel &model)

## Function Documentation

void getIntegerInformation | ( | const OsiObject * | object,
|  | double & | originalLower,
|  | double & | originalUpper |
| ) |  |  |

So we can use osiObject or CbcObject during transition.

int CbcMain | ( | int | argc,
|  | const char * | argv[],
|  | OsiClpSolverInterface & | solver,
|  | CbcModel ** | babSolver |
| ) |  |  |

int CbcMain | ( | int | argc,
|  | const char * | argv[],
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc | ( | const char * | input2,
|  | OsiClpSolverInterface & | solver1 |
| ) |  |  |

int callCbc | ( | const char * | input2 | ) |

int callCbc | ( | const std::string | input2,
|  | OsiClpSolverInterface & | solver1 |
| ) |  |  |

int callCbc | ( | const std::string | input2 | ) |

void CbcMain0 | ( | CbcModel & | babSolver | ) |

int CbcMain1 | ( | int | argc,
|  | const char * | argv[],
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc | ( | const char * | input2,
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc | ( | const std::string | input2,
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc1 | ( | const char * | input2,
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc1 | ( | const std::string | input2,
|  | CbcModel & | babSolver |
| ) |  |  |

int callCbc1 | ( | const char * | input2,
|  | CbcModel & | babSolver,
|  | int(CbcModel *currentSolver, int whereFrom) |  |
| ) |  |  |

int callCbc1 | ( | const std::string | input2,
|  | CbcModel & | babSolver,
|  | int(CbcModel *currentSolver, int whereFrom) |  |
| ) |  |  |

int CbcMain1 | ( | int | argc,
|  | const char * | argv[],
|  | CbcModel & | babSolver,
|  | int(CbcModel *currentSolver, int whereFrom) |  |
| ) |  |  |

void setCutAndHeuristicOptions | ( | CbcModel & | model | ) |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines